Subject: Re: [Isis-wg] draft-ietf-isis-hmac-03.txt

From: David Hudek <[email-masked]>
Date: Sun, 01 Jul 2001 11:48:25 -0700

steve luong wrote:
> No, it does not imply that. That sentence does not change the decision 
> to pad or not to pad the IIH
> in anyway. It tells you the sequence of what to do first. The sequence is you
> pad the IIH first (if the IIH is supposed to be padded), then do the MD5
> calculation over the entire PDU.

While that is certainly a reasonable approach, it is not what
the draft rfc currently specifies. If the wording was something more
like "This rfc does not take any position regarding hello padding rules,
but if a hello is to be padded it MUST occur prior to the 
hmac-md5 calculation," then I would agree. (and it lets you
remain padding agnostic with regard to p2p hellos, allowing for
both implementation styles of a) always padding all p2p hellos
[which at least one dominant implementation has done], and
b) a strictly 10589 compliant implementation which only 
pads the first p2p hello)

Instead, when it speaks of hellos, it currently says,
   "The  HMAC-MD5  result  for  the  IS-IS  HELLO  PDUs  SHALL  be
    calculated  after the Packet is padded to the MTU size, 
    if padding is not disabled."
which mandates the hmac-md5 calc (SHALL be calculated) qualified
by two conditions, a state condition (padding enabled/disabled) 
and an event condition (padding has occured/padding has not occured).
It explicitly says to compute under one of four possible 
state/event combinations (3 of which are potentially valid, 
and 1 of which would be a bug), and stands mute on the other cases.

The other cases are left ambiguous and so up to the implementors'
discretion. I'm reminded of a recent comment by Tony P when talking 
about some ambiguity in a different draft rfc  :-)
>The answer is always 'Obviously you do X'
>but if not spelled out in some clear specs what X must be , 
>multiple implementors arrive to different 'X' solutions and 
>interesting effects will occur. 

I would simply suggest that the wording in the draft be
tightened up a little to reduce the ambiguity. 

Thanks,
dave h
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg